%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: A fast, lightweight distributed source control management system 
Name: mercurial
Version: 1.2.1
Release: 1.caos
License: GPLv2
Group: Development/Tools
URL: http://www.selenic.com/mercurial/
Source0: http://www.selenic.com/mercurial/release/%{name}-%{version}.tar.gz
BuildRequires: python python-devel pkgconfig
Requires: python
Provides: hg = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Mercurial is a fast, lightweight source control management system
designed for efficient handling of very large distributed projects.

Quick start: http://www.selenic.com/mercurial/wiki/index.cgi/QuickStart
Tutorial: http://www.selenic.com/mercurial/wiki/index.cgi/Tutorial
Extensions: http://www.selenic.com/mercurial/wiki/index.cgi/CategoryExtension

%package hgk
Summary: Hgk interface for mercurial
Group: Development/Tools
Requires: hg = %{version}-%{release}, tk

%description hgk
A Mercurial extension for displaying the change history graphically
using Tcl/Tk.  Displays branches and merges in an easily
understandable way and shows diffs for each revision.  Based on
gitk for the git SCM.

Adds the "hg view" command.  See 
http://www.selenic.com/mercurial/wiki/index.cgi/UsingHgk for more
documentation.

%prep
%setup -q

%build
%{__make} all %{?_smp_mflags} %{?mflags}

%install
rm -rf $RPM_BUILD_ROOT

bash_completion_dir=$RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
zsh_completion_dir=$RPM_BUILD_ROOT%{_datadir}/zsh/site-functions
%{__mkdir_p} $bash_completion_dir $zsh_completion_dir
%{__mkdir_p} $RPM_BUILD_ROOT/%{_sysconfdir}/mercurial/hgrc.d
%{__mkdir_p} $RPM_BUILD_ROOT%{_libexecdir}/mercurial/hgk

%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT --prefix %{_prefix} --record=%{name}.files
%{__make} install-doc DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}

grep -v 'hgk.py*' < %{name}.files > %{name}-base.files
grep 'hgk.py*' < %{name}.files > %{name}-hgk.files

%{__install} -m 0755 contrib/hgk $RPM_BUILD_ROOT%{_libexecdir}/mercurial/hgk
%{__install} -m 0755 contrib/convert-repo $RPM_BUILD_ROOT%{_bindir}/mercurial-convert-repo
%{__install} -m 0755 contrib/hg-ssh $RPM_BUILD_ROOT%{_bindir}/
%{__install} -m 0755 contrib/git-viz/{hg-viz,git-rev-tree} $RPM_BUILD_ROOT%{_bindir}/
%{__install} -m 0644 contrib/bash_completion $bash_completion_dir/mercurial.sh
%{__install} -m 0644 contrib/zsh_completion $zsh_completion_dir/_mercurial
%{__install} -m 0644 contrib/mergetools.hgrc $RPM_BUILD_ROOT%{_sysconfdir}/mercurial/hgrc.d/mergetools.rc

cat >hgk.rc <<EOF
[extensions]
# enable hgk extension ('hg help' shows 'view' as a command)
hgk=

[hgk]
path=%{_libexecdir}/mercurial/hgk
EOF
%{__install} hgk.rc $RPM_BUILD_ROOT/%{_sysconfdir}/mercurial/hgrc.d

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-base.files
%defattr(-,root,root,-)
%doc CONTRIBUTORS COPYING doc/README doc/hg*.txt doc/hg*.html doc/ja *.cgi contrib/*.fcgi
%doc contrib/*.el contrib/*.svg contrib/sample.hgrc
%dir %{_sysconfdir}/bash_completion.d/
%dir %{_datadir}/zsh/site-functions/
%dir %{_sysconfdir}/mercurial
%dir %{_sysconfdir}/mercurial/hgrc.d
%dir %{python_sitearch}/mercurial
%dir %{python_sitearch}/hgext
%config(noreplace) %{_sysconfdir}/mercurial/hgrc.d/mergetools.rc
%config(noreplace) %{_sysconfdir}/bash_completion.d/mercurial.sh
%config(noreplace) %{_datadir}/zsh/site-functions/_mercurial
%{_bindir}/hg-ssh
%{_bindir}/hg-viz
%{_bindir}/git-rev-tree
%{_bindir}/mercurial-convert-repo
%{_mandir}/man*/*

%files hgk -f %{name}-hgk.files
%{_libexecdir}/mercurial/
%{_sysconfdir}/mercurial/hgrc.d/hgk.rc

%changelog
